# Uses of Class
org.mariadb.jdbc.credential.Credential

Packages that use Credential
Package
Description
org.mariadb.jdbc.credential
org.mariadb.jdbc.credential.aws
org.mariadb.jdbc.credential.env
org.mariadb.jdbc.credential.system
org.mariadb.jdbc.internal.com.send

## Uses of Credential in org.mariadb.jdbc.credential

Subinterfaces with type arguments of type Credential in org.mariadb.jdbc.credential
Modifier and Type
Interface
Description
`interface`
`CredentialPlugin`

## Uses of Credential in org.mariadb.jdbc.credential.aws

Methods in org.mariadb.jdbc.credential.aws that return Credential
Modifier and Type
Method
Description
`Credential`
AwsIamCredentialPlugin.`get()`
`Credential`
AwsCredentialGenerator.`getToken()`

## Uses of Credential in org.mariadb.jdbc.credential.env

Methods in org.mariadb.jdbc.credential.env that return Credential
Modifier and Type
Method
Description
`Credential`
EnvCredentialPlugin.`get()`

## Uses of Credential in org.mariadb.jdbc.credential.system

Methods in org.mariadb.jdbc.credential.system that return Credential
Modifier and Type
Method
Description
`Credential`
PropertiesCredentialPlugin.`get()`

## Uses of Credential in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type Credential
Modifier and Type
Method
Description
`static void`
SendHandshakeResponsePacket.`send(PacketOutputStream pos, Credential credential, String host, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, String authenticationPluginType, byte[] seed)`
Send handshake response packet.